= Strapi

*Disclaimer:* Fehler, die auf der Webseite angezeigt werden, können auf eine fehlerhafte Konfiguration in Strapi hinweisen.

== Einrichtung

Um die Webseite nutzen zu können, müssen Global die Navigation sowie die Startseite konfiguriert sein.
\
\
Wichtig ist, dass ein paar Einstellungen vor der ersten Verwendung vorgenommen werden. Dazu zählen:

1. *Admin Benutzer erstellen*: Erstellen Sie einen Admin Benutzer, um auf das CMS zugreifen zu können.

2. *Einstellungen anpassen*: In den Einstellungen müssen unter dem Punkt `Users & Permissions Plugin` die Rollen und Berechtigungen angepasst werden. Unter `Roles > Public` muss die Berechtigung `find`, `findOne` und falls vorhanden auch `distinctYears` und `findByYear` für alle Modelle aktiviert werden.

3. *Medienverwaltung*: Es empfiehlt sich unter `Global Settings > Media Library` alle Optionen auf true zu stellen. Dadurch wird zum Beispiel auch die automatische Rotation von Bildern aktiviert.

4. *Rollen und Berechtigungen*: Unter `Administration Panel > Roles` können die Rollen und Berechtigungen für die Benutzer angepasst werden. Es empfiehlt sich, die Standardrollen zu übernehmen und nur die Berechtigungen anzupassen. Diese können aber auch beliebig erweitert werden. Dieser Punkt betrifft nur die Erstellung von Inhalten in der Adminstrationsoberfläche.

5. *Nutzer einladen*: Unter `Administration Panel > Users` können weitere Nutzer eingeladen werden. Diese erhalten dann eine E-Mail mit einem Link, um sich ein Passwort zu setzen.

6. *Erstellung von Inhalten*: Nachdem die Einstellungen vorgenommen wurden, können Inhalte erstellt werden. Dazu können die Inhalte über die Oberfläche zu den bestehenden Modellen erstellt werden.

7. *Einrichtung Sammlungsreferenz*: Die Sammlungsreferenz ist ein eigenes Modell, das die Verknüpfung von Artikeln, Einsätzen, Fahrzeugen und Terminen ermöglicht. Die Werte für Collection können sind die Referenzen auf die genannten Listen. Diese Werte müssen Plural sein und können nur die Werte `articles`, `operations`, `vehicles` und `events` annehmen.\
   Es empfiehlt sich diese Werte direkt zu setzen, da diese dann als Referenz in anderen Modellen genutzt werden können.

=== Verwendung der Modelle

Beispiele zu den beschriebenen Inhalten finden sie in der Demo.

=== Allgemeine Bezeichnungen

- *Slug*: Einzigartige Bezeichnung als Identifikation in der URL.
- *Identifier*: Wert, zu Identifikation in Referenz-Feldern.

=== Modelle

1. *Global*: Hier wird festgelegt, wie die Navigation und der Footer aufgebaut sind. Die Navigation nutzt Informationen zu verwiesenen Seiten und Pfaden zu diesen Seiten. Die Werte der Pfade sollten mit den Werten aus der Sammlungsreferenz übereinstimmen. Dadurch wird gewährleistet, dass Detailansichten der Artikel, Einsätze, Fahrzeuge und Termine korrekt angezeigt werden können.

2. *Startseite*: Hier können die Inhalte der Startseite angepasst werden.
   - *Backdrop*: Bildschirmfüllendes Bild, das im Hintergrund angezeigt wird.
   - Das in Global angegebene Logo wird unten im Eck über den Backdrop gelegt.

3. *Artikel*: Verwaltung und Erstellung von Artikeln.

4. *Einsätze*: Verwaltung und Erstellung von Einsätzen.

5. *Fahrzeuge*: Verwaltung und Erstellung von Fahrzeugen.

6. *Sammlungs Referenz*: Verwaltung und Erstellung von Referenzen auf Artikel, Einsätze, Termine und Fahrzeuge.
  - *Image Item*: Soll das Element in der Liste ein Bild anzeigen.
  - *Date List*: Sollen die Listenelemente gruppiert nach Jahren angezeigt und navigiert werden.
  - *Numbered Item*: Soll bei den ListenElementen ohne Bild statt dem Tag als große Zahl eine Nummerierung erfolgen.
  - *Inverse Count*: Soll die Zählweise umgekehrt sein. (Sinnvoll bei Einsätzen)

7. *Seiten*: Verwaltung und Erstellung von Seiten mit Dynamischen Inhalten.
  - *Hero*: Bild mit Text als Einleitung.

8. *Termine*: Verwaltung und Erstellung von Terminen.

9. *User*: wird nicht benötigt

== Verwendung